Bug 249342 - unknown ricci error when adding new node to cluster
Summary: unknown ricci error when adding new node to cluster
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 249715
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-23 20:08 UTC by Corey Marthaler
Modified: 2009-04-16 22:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 16:43:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2007-07-23 20:08:07 UTC
Description of problem:
I had a three node cluster up (taft-0[123]) and when I attempted to add taft-04
to it, I saw the following error:

"An unknown ricci error occurred on taft-02.lab.msp.redhat.com:11111"

I don't see a cluster.conf file on taft-04 and openais doesn't list it's ip
address (10.15.89.70) as a member where luci is running:

Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] CLM CONFIGURATION CHANGE
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] New Configuration:
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] Members Left:
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] Members Joined:
Jul 23 14:51:42 taft-01 openais[9026]: [SYNC ] This node is within the primary
component and will provide service.
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] CLM CONFIGURATION CHANGE
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] New Configuration:
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ]  r(0) ip(10.15.89.67)
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ]  r(0) ip(10.15.89.68)
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ]  r(0) ip(10.15.89.69)
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] Members Left:
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] Members Joined:
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ]  r(0) ip(10.15.89.67)
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ]  r(0) ip(10.15.89.68)
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ]  r(0) ip(10.15.89.69)
Jul 23 14:51:42 taft-01 openais[9026]: [SYNC ] This node is within the primary
component and will provide service.
Jul 23 14:51:42 taft-01 openais[9026]: [TOTEM] entering OPERATIONAL state.
Jul 23 14:51:42 taft-01 openais[9026]: [CMAN ] quorum regained, resuming activity
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] got nodejoin message 10.15.89.67
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] got nodejoin message 10.15.89.68
Jul 23 14:51:42 taft-01 openais[9026]: [CLM  ] got nodejoin message 10.15.89.69
Jul 23 14:51:42 taft-01 openais[9026]: [CPG  ] got joinlist message from node 1
Jul 23 14:51:42 taft-01 openais[9026]: [CPG  ] got joinlist message from node 4
Jul 23 14:51:43 taft-01 ccsd[9020]: Initial status:: Quorate
Jul 23 14:52:45 taft-01 ccsd[9020]: Update of cluster.conf complete (version 8
-> 9).
Jul 23 14:52:52 taft-01 luci[6716]: Error reading from
taft-02.lab.msp.redhat.com:11111: timeout


[root@taft-01 ~]# cman_tool nodes
Node  Sts   Inc   Joined               Name
   1   M    192   2007-07-23 14:51:42  taft-02.lab.msp.redhat.com
   2   M    192   2007-07-23 14:51:42  taft-01.lab.msp.redhat.com
   3   X      0                        taft-04.lab.msp.redhat.com
   4   M    192   2007-07-23 14:51:42  taft-03.lab.msp.redhat.com


Version-Release number of selected component (if applicable):
luci-0.10.0-2.el5
cman-2.0.69-1.el5

How reproducible:
I've seen this quite a few times now

Comment 1 Ryan McCabe 2007-07-26 22:31:04 UTC
I think this bug is related to bz #249715. I fixed the report of an unknown
ricci error.

Comment 2 Corey Marthaler 2007-08-17 18:56:29 UTC
fix verified in luci-0.10.0-4.el5/ricci-0.10.0-4.el5.


Note You need to log in before you can comment on or make changes to this bug.